Subject: Re: Samba for Cygwin
From: Joshua Jensen <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Aug 2001 17:25:12 -0400

This explanation I like.  Very good points, well described... thank you
for your time.

Joshua

On Mon, Aug 20, 2001 at 05:12:05PM -0400, Charles Wilson wrote:
> 
> > Samba is better at exporting, which more individualized settings (esp.
> > security related) availible per-share than Windows.
> 
> 
> except that cygwin's handling of those settings is limited by the 
> filesystem -- often FAT -- that the local windows machine is operating 
> on.  Even NTFS, because of the weird way remote authentication is 
> handled by CIFS, is problematic.
> 
> 
> > When I say "Samba" I don't mean smbfs... I just want the server and the
> > smbclient/smbprint/etc utils.
> 
> 
> >>Windows ALREADY can export and mount shares using SMB/CIFS.  These 
> >>filesharing tools are *builtin* to windows 9x/Me and NT/2k.  Why run samba?
> >>
> > 
> >>That's like asking to port WINE to Cygwin (or port cygwin to WINE). 
> >>
> > 
> > That's just it... it ISN'T like your analogy at all.  WINE in Cygwin
> > would allow native windows apps (assuming WINE works ;-) ) to run in
> > Cygwin.
> 
> 
> Right.  Like an SMB server.  Sure, "yours" (samba) is different than 
> "mine" (native windows) -- but both do the same job, basically.  Samba 
> may be (a) more intuitive -- to unixoids (b) more stable -- when run on 
> linux (c) more secure -- when run on a real OS using a real filesystem, 
> and (d) have more features -- when run on a real OS using a real filesystem.
> 
> Samba-on-cygwin would have NONE of those features, except that unixheads 
> wouldn't have to think as hard when trying to export file shares from a 
> windows machine.  After they spent several hours installing cygwin, 
> samba, configuring /etc/passwd, etc.  Until they got bit by (b), (c), 
> and (d) above.
> 
> My god, man -- my grandmother can export file shares on windows in under 
> 30 seconds.
> 
> If you're trying to do an enterprise-level SMB file sharing system then 
> yes, there are advantages to samba.  BUT those advantages can't be 
> realized when the underlying OS is windows.
> 
> Strip out those advantages and the enterprise-level ruggedness 
> requirements -- since you can't really get'em on top of windows -- and 
> all you're left with is "I want to simply share some files between a few 
> computers in my small workgroup" -- in which case the native tools will 
> do just fine.
> 
> > Smbclient in Cygwin/Windows would provide something totally
> > different that is NOT availible in Windows: a command line interface to
> > SMB shares.  
> 
> 
>  From cygwin bash:
> $ cd //my-server/my-share
> $ ls
> 
> Lookee!  A command line interface.
> 
> Oh, you mean an ability to *control* export behavior from the command 
> line.  Well, there are easier ways to do that, too -- that don't trip 
> over re-implementing (at a slower speed) stuff that's already provided. 
>   Check out the 'net' command.  As in 'net use' and 'net start'.
> 
> > Samba *server* in Cygwin would allow something not
> > availible in Windows, very fine-grained, text-based,
> > intuitive-to-Unix-heads SMB-share configuration.
> 
> 
> IMNSHO, that is *precisely* why cygwin shouldn't be used for this task. 
>   If you're trying to manage a file server from the command line -- you 
> are a power user and probably want to do things that JUST AREN'T 
> POSSIBLE on windows.  Windows is NOT a real OS; its concept of multiuser 
> setups --even on NT-- is laughable.  Remote access is a joke.  It's 
> amazing what Corinna's been able to do with openSSH, but still...
> 
> So, in this "power-user" case, you shouldn't be using windows or cygwin 
> at all.  The drawbacks (speed, (non)security, (non)stability, 
> (missing-but-expected-samba)features) FAR outweigh the benefits -- and 
> can't be corrected at the cygwin level; only at the Redmond level.  In 
> this case, you should be using (Red Hat?) Linux as your file server.
> 
> 
> >>It's a gee-whiz proof-of-concept, but has no practical value.
> >>
> > 
> > This is so wrong... many, many people would prefer to use Samba's server
> > on Windows, even over Window's ability to do some (but not all) of the
> > same things "natively".
> > 
> 
> 
> Not once they realize the 200 percent or more (WAG) speed penalty you'd 
> incur.  Or the fact that security on Windows sux, despite Corinna's best 
> efforts.
> 
> And god help us once somebody tries to administer a samba server on a 
> Win9x system.  As a PDC.  Now I'm going to have nightmares tonight.
> 
> --Chuck

-- 
Jøshµa Jensên		Red Hat Global Learning Services
[email-masked]	Instructor of RHCE, Linux Security, and Apache courses
Work: 919 547 0012 x 298	Mobile: 919 454 9679	Fax: 919 806 3126
gpg: 1024D/421C5FFD 5D4F B950 04AA 6878 BE6C  967D ACD3 B7D4 421C 5FFD

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/